Subject: Re: [PATCH] Fix safe_create_leading_directories() for Windows

From: John Keeping <[email-masked]>
Date: Thu, 2 Jan 2014 18:18:57 +0000

On Thu, Jan 02, 2014 at 07:11:42PM +0100, Sebastian Schuberth wrote:
> On 02.01.2014 18:33, Johannes Schindelin wrote:
> 
> > -- snip --
> > On Linux, we can get away with assuming that the directory separator is a
> > forward slash, but that is wrong in general. For that purpose, the
> > is_dir_sep() function was introduced a long time ago. By using it in
> > safe_create_leading_directories(), we proof said function for use on
> > platforms where the directory separator is different from Linux'.
> > -- snap --
> 
> While I'd be fine with this, I do not think we really need it. As you 
> say, is_dir_sep() has been introduced a long time ago, so people should 
> be aware of it, and it should also be immediately clear from the diff 
> why using it is better than hard-coding '/'.
> 
> That said, I see any further explanations on top of the commit message 
> title is an added bonus, and as "just" a bonus a link to a pull request 
> should be fine. You don't need to understand or appreciate the concept 
> of pull requests in order to follow the link and read the text in there.

The commit message serves as an historical record of why a change was
made; depending on an external service to provide this information when
it can quite easily be included in the commit itself lessens the value
of the commit message.

If you look at other commits in git.git you will see that there is a
strong preference for summarising the discussion and rationale for a
commit in its message.